<div class="min-h-screen bg-odb-50 w-full">
  <main class="w-full h-full flex flex-wrap justify-center items-center">
    <div
      class="w-full bg-odb-800 mb-12 lg:mb-24 p-4 pb-6 flex justify-between items-center"
    >
      <div
        class="flex items-center hover:cursor-pointer"
        routerLink="/admin-dashboard"
      >
        <i class="bi bi-arrow-left text-2xl text-gray-100 mr-4"></i>
        <span class="font-odb text-2xl text-gray-100"> Volver</span>
      </div>
      <button
        (click)="logOut()"
        class="px-4 py-2 text-gray-100 border-2 rounded border-gray-100 hover:bg-odb-400"
      >
        Cerrar sesión
        <i class="bi bi-door-closed ml-4"></i>
      </button>
    </div>
    <div class="w-full px-4 lg:px-24">
      <div class="w-full mb-4 flex justify-between flex-wrap">
        <span class="text-2xl font-odb font-bold text-gray-800 uppercase mb-4"
          >Trabaja con nosotros: solicitudes</span
        >
        <button
          (click)="exportExcel()"
          class="px-4 py-2 text-odb-500 border-2 rounded border-odb-500 hover:bg-odb-500 hover:text-gray-100"
        >
          <i class="bi bi-download mr-2"></i>
          Exportar excel
        </button>
      </div>
      <table class="w-full hidden sm:table" id="excel-table">
        <thead>
          <th>Nombre</th>
          <th>E-mail</th>
          <th>Movil</th>
          <th>Zona</th>
          <th>Fecha</th>
        </thead>
        <tbody>
          <tr *ngFor="let row of tableData">
            <td>{{ row.name }}</td>
            <td>{{ row.email }}</td>
            <td>{{ row.movil }}</td>
            <td>{{ row.zone }}</td>
            <td>{{ row.date ?? '-' }}</td>
          </tr>
        </tbody>
      </table>
      <h1 class="block sm:hidden w-full text-center py-12">
        Tu pantalla es muy pequeña para mostrar los resultados. Aún así, puedes
        exportarlos.
      </h1>
    </div>
  </main>
</div>
